#
# spec file for package oonsoo (Version 1.2)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  gpp libgpp xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd less libgpp libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         oonsoo
Copyright:    GPL
Group:        X11/Games
Autoreqprov:  on
Version:      1.2
Release:      265
Summary:      A Solitaire Card Game
URL:          http://www4.ncsu.edu/~bwmott/www/oonsoo/
Source:       ftp://ftp.eos.ncsu.edu/pub/bsvc/rohan/oonsoo-%{version}.tar.gz
BuildRoot:    /var/tmp/%{name}-build

%description
Oonsoo is a solitaire card game.  The goal of the game is to arrange
twelve suits of cards, in order, onto twelve playing decks.  When the
game starts, one card face down and one card face up is dealt to each
of the playing decks.

Authors:
--------
    Bradford W. Mott <bwmott@eos.ncsu.edu>

SuSE series: fun

%prep
%setup

%build
make -f Makefile.Linux 

%install
install -d $RPM_BUILD_ROOT/usr/X11R6/bin
install -s oonsoo $RPM_BUILD_ROOT/usr/X11R6/bin
install -d $RPM_BUILD_ROOT/usr/X11R6/include/X11/bitmaps
install -m 644 oonsoo-icon.png $RPM_BUILD_ROOT/usr/X11R6/include/X11/bitmaps

%clean
rm -rf $RPM_BUILD_ROOT

%files
/usr/X11R6/bin/oonsoo
/usr/X11R6/include/X11/bitmaps/oonsoo-icon.png
%doc README Announcement

%changelog -n oonsoo
* Tue May 09 2000 - vinil@suse.cz
- buildroot added
* Tue Jan 25 2000 - ro@suse.de
- update to 1.2
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Sep 24 1998 - ro@suse.de
- added libgpp to neededforbuild
* Mon Oct 20 1997 - ro@suse.de
- ready for autobuild
  runs in 8 bit only
